FreeMat

- Main Page
- Related Pages

vtkMaskPolyData

Section: Visualization Toolkit Graphics Classes

# Usage

vtkMaskPolyData is a filter that sub-samples the cells of input polygonal data. The user specifies every nth item, with an initial offset to begin sampling.

To create an instance of class vtkMaskPolyData, simply invoke its constructor as follows

      obj = vtkMaskPolyData

# Methods

The class vtkMaskPolyData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMaskPolyData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMaskPolyData = obj.NewInstance ()`
- `vtkMaskPolyData = obj.SafeDownCast (vtkObject o)`
- `obj.SetOnRatio (int )` - Turn on every nth entity (cell).
- `int = obj.GetOnRatioMinValue ()` - Turn on every nth entity (cell).
- `int = obj.GetOnRatioMaxValue ()` - Turn on every nth entity (cell).
- `int = obj.GetOnRatio ()` - Turn on every nth entity (cell).
- `obj.SetOffset (vtkIdType )` - Start with this entity (cell).
- `vtkIdType = obj.GetOffsetMinValue ()` - Start with this entity (cell).
- `vtkIdType = obj.GetOffsetMaxValue ()` - Start with this entity (cell).
- `vtkIdType = obj.GetOffset ()` - Start with this entity (cell).